Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.digester3.plugins
Class RulesFactory

    java.lang.Object
      org.apache.commons.digester3.plugins.RulesFactory

    public abstract class RulesFactory

extends Object

Whenever the scope of a plugin tag is entered, the PluginRules class creates a new Rules instance and configures it with the appropriate parsing rules for the plugged-in class.

Users of the plugins module can specify a subclass of this one to control the creation of that Rules object. In particular, it can set up default rules within the returned instance which are applicable to all plugged-in classes.

Since:
  1.6

Constructor Summary
`RulesFactory()`

Method Summary
`abstract Rules` | `newRules(Digester d, Class<?> pluginClass)` Return an instance of some Rules implementation that the plugged-in class shall use to match its private parsing rules.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RulesFactory

    public RulesFactory()

Method Detail

### newRules

    public abstract Rules newRules(Digester d,
                                   Class<?> pluginClass)
                            throws PluginException

  Return an instance of some Rules implementation that the plugged-in class shall use to match its private parsing rules.

  Parameters:
    `d` - is the digester that the returned rules object will be associated with.
    `pluginClass` - is the class that is to be configured using rules added to the returned object.
  Returns:
    an instance of some Rules implementation that the plugged-in class shall use to match its private parsing rules.
  Throws:
    `PluginException` - if the algorithm finds a source of rules, but there is something invalid about that source.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 The Apache Software Foundation. All Rights Reserved.